#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libinput
Version		:	1.24.0
Release		:	14.4.0.0%{?dist}
Summary		:	Input device library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://www.x.org/archive/individual/driver/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	libevdev,mtdev
BuildRequires	:	eudev-devel
BuildRequires	:	meson,ninja
#-----------------------------------------------------------------------------
%description
libinput is a library that provides a full input stack for display servers
and other applications that need to handle input devices provided by the
kernel.

libinput provides device detection, event handling and abstraction so
minimize the amount of custom input code the user of libinput need to
provide the common set of functionality that users expect. Input event
processing includes scaling touch coordinates, generating
relative pointer events from touchpads, pointer acceleration, etc.

libinput is not used directly by applications. Think of it more as a device
driver than an application library. It is used by the xf86-input-libinput
X.Org driver or Wayland compositors.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%doc COPYING README.md
%{_includedir}/%{name}.h
%{_libexecdir}/%{name}/%{name}-*
%{_libdir}/udev/%{name}-*
%{_libdir}/udev/rules.d/*.rules
%{_bindir}/%{name}
%{_libdir}/%{name}.so*
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/%{name}/*.quirks
%{_datadir}/zsh/site-functions/_libinput
%{_mandir}/man1/*.1.gz

#=============================================================================
%prep
%setup -q


#-----------------------------------------------------------------------------
#building application
%build

mkdir build
pushd build

meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	-Dudev-dir=%{_libdir}/udev			\
	-Ddebug-gui=false 				\
	-Dtests=false 					\
	-Ddocumentation=false 				\
	-Dlibwacom=false				\

ninja

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

pushd build
DESTDIR=%{buildroot}					\
	ninja install
popd 

#-----------------------------------------------------------------------------
%changelog
